分类 标签 存档 程序员漫画 黑壳相关站点 订阅 搜索

记录解决 react-native run-ios 报错问题 --Print: Entry, ":CFBundleIdentifier", Does Not Exist

2113 浏览

本文由黑壳博客发布

本文来源 记录解决 react-native run-ios 报错问题 --Print: Entry, ":CFBundleIdentifier", Does Not Exist - 黑壳网

壳叔搞笑时间

单位开会,主任说了快一个小时了,我都睡着了,突然被主任点名叫了起来。
睡得迷迷糊糊的我,嘟囔了一句:就你有嘴,一天叭叭的!

正文

之前一直 RN 运行都是运行在 Android 机上,也没有去考虑 iOS,今天突然想去想在 iOS 上跑一 · 下,下好 Xcode,在项目目录下命令行中执行 run-ios 构建时报错:

[CFBundleIdentifier", Does Not Exist]

打开 XCode,进入. xcodeproj 文件,运行,编译时报错:['boost/iterator/iterator_adaptor.hpp' file not found’]

这个问题只在 react native 0.45.0 及以后的版本中出现,stackoverflow 上的各种方法均无效。

先贴出网络统一解决方法 如下:

这个问题产生原因:

/Users/xxx/.rncache 中 boost_1_63_0.tar.gz,double-conversion-1.1.5.tar.gz,folly-2016.09.26.00.tar.gz,glog-0.3.4.tar.gz 文件不完整。或者 node_modules/react-native/third-party 文件不完整。

解决方案

具体操作:

1、删除 / user/xxx/.rncache 目录下的 boost_1_63_0。重新下载, 下载网址http://www.boost.org/users/history/version_1_63_0.html

2、打开命令行工具,在项目目录下输入 rm -rf node_modules && rm -rf ~/.rncache && yarn

3、npm install

4、react-native upgrade

5、react-native run-ios

最后的解决方案

若以上方法无效,可采用下面的方法:

创建项目暂时先使用 react-native init MyApp –version 0.44.3,指定某个版本。
你可以使用–version 参数(注意是两个杠)创建指定版本的项目。例如 react-native init MyApp -version 0.44.3。注意版本号必须精确到两个小数点。

关于我们

程序员太辛苦了

请善待你们身边的每一位程序员~

欢迎在评论写下你的程序员自黑体呦,嗯,相信你可以滴~~

以上内容,均来自互联网~

欢迎扫描二维码加入我们的小组织
黑壳网交流群 Qq:200408242


11a84075a304ac57f6d37323512fd24cde9836350b9d80148b282eeaa188b196c2358d4ffd7006cbpng

黑壳博客 blog.bhusk.com

E-mail:keshu@bhusk.com

本文由 黑壳博客的壳叔 创作或转载,采用 知识共享署名 3.0 中国大陆许可协议 进行许可。

可自由转载、引用,但需署名作者且注明文章

评论  
留下你的脚步
推荐阅读